Page 1 of 2 12 LastLast
Results 1 to 10 of 18

Thread: Installing old kernel version that is not in the repo

  1. #1

    Default Installing old kernel version that is not in the repo

    Hello,
    I'm running Opensuse leap and I need to install linux kernel version 4.15.
    Also I need linux headers for that kernel.
    How can I do that? I can't find kernel older than 4.17 in repos.

    I need it for amdgpu-pro driver (dkms is failing and I get system freeze on bootup).

  2. #2
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    15,084
    Blog Entries
    3

    Default Re: Installing old kernel version that is not in the repo

    If you happen to have an old DVD installer, then that will contain the kernel from the date of the installer.

    Just checking, "openSUSE-Tumbleweed-DVD-x86_64-Snapshot20180301-Media.iso" seem to use the 4.15.6 kernel.
    openSUSE Leap 15.2; KDE Plasma 5.18.5;

  3. #3
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,907
    Blog Entries
    14

    Default Re: Installing old kernel version that is not in the repo

    Quote Originally Posted by paupav View Post
    Hello,
    I'm running Opensuse leap and I need to install linux kernel version 4.15.
    Also I need linux headers for that kernel.
    How can I do that? I can't find kernel older than 4.17 in repos.

    I need it for amdgpu-pro driver (dkms is failing and I get system freeze on bootup).
    Eh, you're posting this in a thread you tagged TUMBLEWEED, now here you post you're running Leap. Which one is it? Are we allowed to know why kernel 4.15 specifically is needed?
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  4. #4

    Default Re: Installing old kernel version that is not in the repo

    I meant tumbleweed. idk why I wrote leap there.
    I need it for AMDGPU-pro driver which was working on the linux kernel 4.15 while I was running Ubuntu, but it didn't work on 4.17 (on Ubuntu).

    Also I can't find snapshot iso, can you please share link if you have it.

  5. #5
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,907
    Blog Entries
    14

    Default Re: Installing old kernel version that is not in the repo

    Quote Originally Posted by paupav View Post
    I meant tumbleweed. idk why I wrote leap there.
    I need it for AMDGPU-pro driver which was working on the linux kernel 4.15 while I was running Ubuntu, but it didn't work on 4.17 (on Ubuntu).

    Also I can't find snapshot iso, can you please share link if you have it.
    Sorry, we're ( due to storage ) not able to keep years of snapshots. To be honest, I think even having 4.15 on Tw might not solve the issue, we don't know how *buntu compiles and packages their kernels.

    What happens if you boot from the latest Tw live images.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  6. #6

    Default Re: Installing old kernel version that is not in the repo

    PC freezes at boot if I try to boot with amdgpu-pro installed on 4.17. During installation I get DKMS error.
    Something interesting that I've found (what didn't happen on Ubuntu) is that when I install amdgpu-pro drivers I can't open any program (after installing driver, but before reboot).

  7. #7
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    31,098
    Blog Entries
    15

    Default Re: Installing old kernel version that is not in the repo

    Quote Originally Posted by paupav View Post
    PC freezes at boot if I try to boot with amdgpu-pro installed on 4.17. During installation I get DKMS error.
    Something interesting that I've found (what didn't happen on Ubuntu) is that when I install amdgpu-pro drivers I can't open any program (after installing driver, but before reboot).
    Hi
    What card do you have?

    Code:
    /sbin/lspci -nnk | grep -EiA3 'vga|3d|display'
    You do realize it downgrades the graphics stack? Not running wayland?

    Why not the OSS amdgpu driver?
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  8. #8

    Default Re: Installing old kernel version that is not in the repo

    Code:
    23:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Cape Verde XT [Radeon HD 7770/8760 / R7 250X] [1002:683d]
            Subsystem: XFX Pine Group Inc. Device [1682:3233]
            Kernel driver in use: radeon
            Kernel modules: radeon, amdgpu
    GPU: radeon hd 7770 xfx
    I need it for vulkan drivers and maybe in the future for OpenCL

    I've compiled linux kernel 4.14 and I still have the same problem.

  9. #9
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,907
    Blog Entries
    14

    Default Re: Installing old kernel version that is not in the repo

    Quote Originally Posted by paupav View Post
    PC freezes at boot if I try to boot with amdgpu-pro installed on 4.17. During installation I get DKMS error.
    Something interesting that I've found (what didn't happen on Ubuntu) is that when I install amdgpu-pro drivers I can't open any program (after installing driver, but before reboot).
    That's not that strange. Changing the driver could very well cause such behaviour, since it does require a reboot.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  10. #10
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,907
    Blog Entries
    14

    Default Re: Installing old kernel version that is not in the repo

    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •